<?php

class FlyerTech_Transactionale_Model_Integration_Mode
{
    public function toOptionArray()
    {
        return array(
            array(
                'value' => 'disabled',
                'label' => Mage::helper('transactionale')->__('Disabled'),
            ),
            array(
                'value' => 'both',
                'label' => Mage::helper('transactionale')->__('Publisher and Advertiser'),
            ),
            array(
                'value' => 'publischer',
                'label' => Mage::helper('transactionale')->__('Publisher only'),
            ),
            array(
                'value' => 'advertiser',
                'label' => Mage::helper('transactionale')->__('Advertiser only'),
            )
        );
    }

    public function toArray()
    {
        return array(
            'disabled' => Mage::helper('transactionale')->__('Disabled'),
            'both' =>  Mage::helper('transactionale')->__('Publisher and Advertiser'),
            'publischer' => Mage::helper('transactionale')->__('Publisher only'),
            'advertiser' => Mage::helper('transactionale')->__('Advertiser only'),
        );
    }
}